Package net.sf.saxon.type

## Interface ItemType.WithSequenceTypeCache

- All Superinterfaces:
    `ItemType`
  All Known Implementing Classes:
    `AnyItemType`, `AnyNodeTest`, `BuiltInAtomicType`, `CombinedNodeTest`, `ContentTypeTest`, `DocumentNodeTest`, `ErrorType`, `LocalNameTest`, `MultipleNodeKindTest`, `NamespaceTest`, `NameTest`, `NodeKindTest`, `NodeTest`, `SameNameTest`, `SchemaAttributeTest`, `SchemaElementTest`
  Enclosing interface:
    ItemType

      public static interface ItemType.WithSequenceTypeCache
      extends ItemType

  Extension of the ItemType interface implemented by some item types, to provide a cache of SequenceType objects based on this item type, with different occurrence indicators.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.saxon.type.ItemType

      `ItemType.WithSequenceTypeCache`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SequenceType` | `one()` | Get a sequence type representing exactly one instance of this atomic type
    `SequenceType` | `oneOrMore()` | Get a sequence type representing one or more instances of this atomic type
    `SequenceType` | `zeroOrMore()` | Get a sequence type representing one or more instances of this atomic type
    `SequenceType` | `zeroOrOne()` | Get a sequence type representing zero or one instances of this atomic type

    - ### Methods inherited from interface net.sf.saxon.type.ItemType

      `explainMismatch, getAtomizedItemType, getBasicAlphaCode, getDefaultPriority, getFullAlphaCode, getGenre, getNormalizedDefaultPriority, getPrimitiveItemType, getPrimitiveType, getUType, isAtomicType, isAtomizable, isPlainType, isTrueItemType, matches, toExportString, toString`

- - ### Method Detail

    - #### one

          SequenceType one()

      Get a sequence type representing exactly one instance of this atomic type
      Returns:
        a sequence type representing exactly one instance of this atomic type
      Since:
        9.8.0.2

    - #### zeroOrOne

          SequenceType zeroOrOne()

      Get a sequence type representing zero or one instances of this atomic type
      Returns:
        a sequence type representing zero or one instances of this atomic type
      Since:
        9.8.0.2

    - #### oneOrMore

          SequenceType oneOrMore()

      Get a sequence type representing one or more instances of this atomic type
      Returns:
        a sequence type representing one or more instances of this atomic type
      Since:
        9.8.0.2

    - #### zeroOrMore

          SequenceType zeroOrMore()

      Get a sequence type representing one or more instances of this atomic type
      Returns:
        a sequence type representing one or more instances of this atomic type
      Since:
        9.8.0.2